%define		Werror_cflags %nil

Name:		prboom-plus
Version:	2.5.1.3
Release:	%mkrel 10
Summary:	Free enhanced DOOM engine - DOOM is a classic 3D shoot-em-up game 
Group:		Games/Shooter
License:	GPLv2+
URL:		http://prboom-plus.sourceforge.net/
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}.png
BuildRequires:	GL-devel
BuildRequires:	fluidsynth-devel
BuildRequires:	libSDL_image-devel
BuildRequires:	libSDL_mixer-devel
BuildRequires:	libSDL_net-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libpng-devel
BuildRequires:	pcreposix-devel
BuildRequires:	portmidi-devel
BuildRequires:	libmad-devel
BuildRequires:	dumb-devel
Suggests:	doom-iwad
Provides:       doom-engine
Provides:	prboom+ = %{version}-%{release}
Provides:	prboomplus = %{version}-%{release}

%description
PrBoom+ is an enhanced DOOM engine developed from PrBoom.
The target of the PrBoom+ project is to extend the original port
with features that are necessary or useful to the developers and all
those interested in their work. It is worth noting that all changes
introduced in no way break PrBoom's compatibility with the original
DOOM/DOOM2 engines.
PrBoom+ does not include any levels itself. More importantly, you need
all the sounds, sprites, and other graphics that make up the DOOM 
environment.
So to play PrBoom+, you need one of the main DOOM date files from id
Software: either doom.wad, doom2.wad, tnt.wad or plutonia.wad from one
of the commercial DOOM games, or install FreeDOOM.

%prep
%setup -q

%build
./bootstrap;
# rpm has its own optimizations, so turn off shipped defaults
%configure --enable-gl --disable-cpu-opt --program-prefix='' \
	--with-waddir=%{_gamesdatadir}/doom
make %{?_smp_mflags}

%install

make install DESTDIR=%{buildroot};
# Will manually package docs (see %%files)
rm -Rf %{buildroot}/%{_gamesdatadir}/doc;
mkdir -p %{buildroot}/%{_gamesbindir};
mkdir -p %{buildroot}%{_datadir}/applications/
mkdir -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps

install -m644 %{SOURCE1} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Categories=Game;ArcadeGame;
Name=PrBoom+
Comment=%{Summary}
Icon=%{name}
Exec=%{name}
EOF

%files
%doc NEWS AUTHORS README
%doc doc/MBF.txt doc/MBFFAQ.txt doc/README.compat doc/README.demos doc/boom.txt
%{_gamesbindir}/*
%{_gamesdatadir}/doom
%{_mandir}/*/*
%{_docdir}/%{name}-%{version}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.5.1.3-10.mga3
+ Revision: 378167
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 2.5.1.3-9.mga3
+ Revision: 343816
- updated RPM group

* Sat Dec 01 2012 fwang <fwang> 2.5.1.3-8.mga3
+ Revision: 323741
- br pcreposix

* Wed Aug 15 2012 dams <dams> 2.5.1.3-7.mga3
+ Revision: 281408
- update %%summary and %%description

* Mon Aug 13 2012 dams <dams> 2.5.1.3-6.mga3
+ Revision: 281109
- add a provide on doom-engine

* Mon Aug 13 2012 dams <dams> 2.5.1.3-5.mga3
+ Revision: 281098
- remove prboom as a require (spotted by stormi)
- Enhance description

* Mon Jul 30 2012 dams <dams> 2.5.1.3-4.mga3
+ Revision: 276162
- add provides (prboom+ and prboom-plus)

* Sat Jul 21 2012 dams <dams> 2.5.1.3-3.mga3
+ Revision: 273043
- add a .desktop and an icon

* Fri Jul 20 2012 dams <dams> 2.5.1.3-2.mga3
+ Revision: 272898
- fix 'buildrequires' thanks to lemonzest

* Fri Jul 20 2012 dams <dams> 2.5.1.3-1.mga3
+ Revision: 272875
- update SOURCES
- remove uneeded patchs
- clean specfile
- add 'Suggests' as requested in mga#6535
- imported package prboom-plus

